function [x,t]=sumcosine(A,f,theta,fs,dur)

% function [x,t]=sumcosine(A,f,theta,fs,dur)
%   A=vector of amplitudes
%   f=vector of frequencies (Hz)
%   theta=vector of phases (rad)
%   fs=sampling frequency (Hz)
%   dur=time duration (sec)

t=0:1/fs:dur-1/fs;
x=0;

for k=1:length(A)
    x=x+A(k)*cos(2*pi*f(k)*t+theta(k));
end